Create Webhook
curl --request POST \
--url https://api.flowiq.live/set-webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://your-server.com/webhook",
"type": "message_received",
"platform": "whatsapp"
}
'import requests
url = "https://api.flowiq.live/set-webhooks"
payload = {
"url": "https://your-server.com/webhook",
"type": "message_received",
"platform": "whatsapp"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://your-server.com/webhook',
type: 'message_received',
platform: 'whatsapp'
})
};
fetch('https://api.flowiq.live/set-webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Webhook created successfully",
"webhook": {
"id": "0df9d480-f181-466b-ae8d-85216c16e8dd",
"url": "https://your-server.com/webhook",
"type": "message_received",
"platform": "whatsapp",
"created_at": "2026-03-08T00:00:00.000+02:00"
}
}Webhooks
Create Webhook
Register a new webhook endpoint.
POST
/
set-webhooks
Create Webhook
Basic Usage
curl -X POST "https://api.flowiq.live/set-webhooks" \
-H "Authorization: Bearer fiq_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"url": "https://your-server.com/webhook", "type": "message_received"}'
Request Body
| Field | Required | Description |
|---|---|---|
url | Yes | HTTPS endpoint to receive events |
type | Yes | Event type: message_received, message_sent, sent_message, message_delivered, message_read, message_failed, call, or all |
platform | No | Defaults to whatsapp |
{
"url": "https://your-server.com/webhook",
"type": "message_received"
}
Response
{
"success": true,
"message": "Webhook created successfully",
"webhook": {
"id": "0df9d480-f181-466b-ae8d-85216c16e8dd",
"url": "https://your-server.com/webhook",
"type": "message_received",
"platform": "whatsapp",
"created_at": "2026-03-08T00:00:00.000+02:00"
}
}
Use
type: "all" to receive every event type through a single webhook subscription.Authorizations
Bearer token for authentication. Format: Bearer YOUR_BEARER_TOKEN
Body
application/json
HTTPS endpoint to receive events
Example:
"https://your-server.com/webhook"
Event type to subscribe to
Available options:
message_received, message_sent, sent_message, message_delivered, message_read, message_failed, call, all Example:
"message_received"
Platform (defaults to whatsapp)
Example:
"whatsapp"
⌘I

